VirtualBox Version Conflict

I’m a bit frustrated with conflicting links for the VirtualBox download and installation. In the Chapter 0 Lecture Notes, you talk about setting up both Vagrant, and VirtualBox, providing inks to both. the VirtualBox download link takes us to https://www.virtualbox.org/wiki/Downloads, which lets us download the most current version of VirtualBox: version 5.2.20. Following the lecture notes seems to install both Virtualbox and Vagrant fine.
Then, when going to the first lab, you state that vagrant needs version 5.1 of Virtualbox to run correctly, and provide a link to their OLD VERSIONS: https://www.virtualbox.org/wiki/Download_Old_Builds_5_1. If we needed 5.1, why provide the link in the lecture notes to 5.2.20? Will having 5.2.20 installed cause problems with the course, or do I need to uninstall Virtualbox 5.2.20 and start over?

By the way - even though I have Virtualbox 5.2.20 running, as per the lecture notes, and I get the warning
mongod-m103: Checking for guest additions in VM…
mongod-m103: The guest additions on this VM do not match the installed version of
mongod-m103: VirtualBox! In most cases this is fine, but in rare cases it can
mongod-m103: prevent things such as shared folders from working properly. If you see
mongod-m103: shared folder errors, please make sure the guest additions within the
mongod-m103: virtual machine match the version of VirtualBox you have installed on
mongod-m103: your host and reload your VM.
mongod-m103:
mongod-m103: Guest Additions Version: 4.3.36
mongod-m103: VirtualBox Version: 5.2
when I run vagrant up, ssh’ing into the virtual machine and running validate_box apparently gives the right validation code, as when I entered it for my lab answer, it was correct…

1 Like